WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: 4.7.5-4.7.7: mismatched Syslinux components  (Read 5721 times)

Offline genec

  • Full Member
  • ***
  • Posts: 240
4.7.5-4.7.7: mismatched Syslinux components
« on: April 09, 2013, 05:38:12 PM »
core.gz:usr/share/syslinux/ contains mbr.bin and pxelinux.0 from 3.61.  Core-4.7.5.iso uses "3.82 2009-06-06".  TinyCore-4.7.5.iso and CorePlus-4.7.5.iso use "4.02 debian-20101024".  syslinux.tcz is 4.05.

Ideally, these should all match.  At the very least, the files in core.gz and the ISOs should all match and the major version of the extension should also match.  This mismatch is the source of http://forum.tinycorelinux.net/index.php/topic,15175.0.html
« Last Edit: May 11, 2013, 10:11:41 AM by genec »

Offline genec

  • Full Member
  • ***
  • Posts: 240
Re: 4.7.5: mismatched Syslinux components
« Reply #1 on: April 28, 2013, 10:19:11 AM »
Also present in 4.7.6.

Offline genec

  • Full Member
  • ***
  • Posts: 240
Re: 4.7.5: mismatched Syslinux components
« Reply #2 on: May 11, 2013, 10:11:24 AM »
Also present in 4.7.7.

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 10296
Re: 4.7.5-4.7.7: mismatched Syslinux components
« Reply #3 on: May 13, 2013, 11:25:55 AM »
Noted, but not high priority.
The only barriers that can stop you are the ones you create yourself.

Offline genec

  • Full Member
  • ***
  • Posts: 240
Re: 4.7.5-4.7.7: mismatched Syslinux components
« Reply #4 on: May 13, 2013, 05:30:41 PM »
Agreed.  The easy workaround is to strictly use components from a single source (which likely means the extension).

Offline genec

  • Full Member
  • ***
  • Posts: 240
Re: 4.7.5-4.7.7: mismatched Syslinux components
« Reply #5 on: June 11, 2013, 01:53:10 PM »
Also 5.0-alpha2.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: 4.7.5-4.7.7: mismatched Syslinux components
« Reply #6 on: October 03, 2013, 09:40:11 AM »
Also, isolinux Loader (version 4.02) as used in core-5.x (present also in 5.0.1) fails to boot some PC's.  resulting in a flashing cursor immediately after the BIOS post. 
upgrading to isolinux version 4.05 (isolinux.bin & boot.cat) within the ISO resolves the issue.
« Last Edit: October 03, 2013, 09:41:42 AM by coreplayer2 »